<svg #svg
     [attr.width]="options.width"
     [attr.height]="options.height">
  <!-- GRAPH -->
  <g class="graph"
     [zoomableOf]="svg"
     [zoomableIn]="graph">
    <!-- LINKS -->
    <g [linkVisual]="link"
       *ngFor="let link of links"></g>
    <!-- NODES -->
    <g nodeVisual
       [node]="node"
       [graphSize]="{width, height}"
       [cloudSandboxInstance]="cloudSandboxInstance"
       *ngFor="let node of nodes"
       [draggableNode]="node"
       [draggableInGraph]="graph"
       [isConsoleReady]="isConsoleReady"
       (polling)="onPollingStateChange($event)"
       (loadConsoles)="onLoadConsoles($event)"
       (showContainers)="onShowContainers($event)">
    </g>
  </g>
</svg>
